Update a DTS root CA certificate
Roles
Analytics Events
/v1/ecosystems/certificates/ca/{dtsCaCertificateId}Updates a DTS root CA certificate.
Analytic events
- ECOSYSTEM_DTS_CA_CERTIFICATE_UPDATE_START
- ECOSYSTEM_DTS_CA_CERTIFICATE_UPDATE_SUCCESS
- ECOSYSTEM_DTS_CA_CERTIFICATE_UPDATE_FAIL
Authorization
bearerAuth In: header
Path Parameters
Unique identifier of the DTS root CA certificate.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/ecosystems/certificates/ca/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": true }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "organisationName": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "isManaged": true, "useIntermediateCa": true}How would you rate this page?
Retrieve a DTS root CA certificate GET
Retrieves a DTS root CA certificate. ### **Analytic events** * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_START * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_SUCCESS * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_FAIL
Delete a DTS root CA certificate DELETE
Deletes a DTS root CA certificate. ### **Analytic events** * ECOSYSTEM_DTS_CA_CERTIFICATE_DELETE_START * ECOSYSTEM_DTS_CA_CERTIFICATE_DELETE_SUCCESS * ECOSYSTEM_DTS_CA_CERTIFICATE_DELETE_FAIL